VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet Class Reference

`Update.UpdateStructGet` class Structure to get url update repository. More...

List of all members.

## Public Member Functions
| UpdateStructGet ()
| Creates a default new instance.
string | GetCurrentURL ()
| Current appliance update repository URL.
void | SetCurrentURL (string currentURL)
| Current appliance update repository URL.
string | GetDefaultURL ()
| Default appliance update repository URL.
void | SetDefaultURL (string defaultURL)
| Default appliance update repository URL.
vmware.appliance.techpreview.system.UpdateTypes.AutoUpdateNotification | GetCheckUpdates ()
| Check for update at the pre-configured repository URL.
void | SetCheckUpdates (vmware.appliance.techpreview.system.UpdateTypes.AutoUpdateNotification checkUpdates)
| Check for update at the pre-configured repository URL.
string | GetTime ()
| time to query for updates Format: HH:MM:SS Military (24 hour) Time Format
void | SetTime (string time)
| time to query for updates Format: HH:MM:SS Military (24 hour) Time Format
vmware.appliance.techpreview.system.UpdateTypes.UpdateDay | GetDay ()
| day to query for updates
void | SetDay (vmware.appliance.techpreview.system.UpdateTypes.UpdateDay day)
| day to query for updates
string | GetLatestUpdateInstallTime ()
| timestamp of latest update installation
void | SetLatestUpdateInstallTime (string latestUpdateInstallTime)
| timestamp of latest update installation
string | GetLatestUpdateQueryTime ()
| timestamp of latest query to update repository
void | SetLatestUpdateQueryTime (string latestUpdateQueryTime)
| timestamp of latest query to update repository
string | GetUsername ()
| username for the url update repository
void | SetUsername (string username)
| username for the url update repository
string | GetPassword ()
| password for the url update repository
void | SetPassword (string password)
| password for the url update repository
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Update.UpdateStructGet` class Structure to get url update repository.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::UpdateStructGet | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::Equals | ( | object | obj | ) | `[inline]`

vmware.appliance.techpreview.system.UpdateTypes.AutoUpdateNotification vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetCheckUpdates | ( |  | ) | `[inline]`

Check for update at the pre-configured repository URL.

string vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetCurrentURL | ( |  | ) | `[inline]`

Current appliance update repository URL.

vmware.appliance.techpreview.system.UpdateTypes.UpdateDay vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetDay | ( |  | ) | `[inline]`

day to query for updates

string vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetDefaultURL | ( |  | ) | `[inline]`

Default appliance update repository URL.

override int vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetLatestUpdateInstallTime | ( |  | ) | `[inline]`

timestamp of latest update installation

string vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetLatestUpdateQueryTime | ( |  | ) | `[inline]`

timestamp of latest query to update repository

string vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetPassword | ( |  | ) | `[inline]`

password for the url update repository

string vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetTime | ( |  | ) | `[inline]`

time to query for updates Format: HH:MM:SS Military (24 hour) Time Format

string vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::GetUsername | ( |  | ) | `[inline]`

username for the url update repository

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetCheckUpdates | ( | vmware.appliance.techpreview.system.UpdateTypes.AutoUpdateNotification | checkUpdates | ) | `[inline]`

Check for update at the pre-configured repository URL.

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetCurrentURL | ( | string | currentURL | ) | `[inline]`

Current appliance update repository URL.

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetDay | ( | vmware.appliance.techpreview.system.UpdateTypes.UpdateDay | day | ) | `[inline]`

day to query for updates

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetDefaultURL | ( | string | defaultURL | ) | `[inline]`

Default appliance update repository URL.

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetLatestUpdateInstallTime | ( | string | latestUpdateInstallTime | ) | `[inline]`

timestamp of latest update installation

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetLatestUpdateQueryTime | ( | string | latestUpdateQueryTime | ) | `[inline]`

timestamp of latest query to update repository

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetPassword | ( | string | password | ) | `[inline]`

password for the url update repository

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetTime | ( | string | time | ) | `[inline]`

time to query for updates Format: HH:MM:SS Military (24 hour) Time Format

void vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::SetUsername | ( | string | username | ) | `[inline]`

username for the url update repository

override string vmware::appliance::techpreview::system::UpdateTypes::UpdateStructGet::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- UpdateTypes.cs